searchNodes=[{"doc":"LiveDashboard provides real-time performance monitoring and debugging tools for Phoenix developers. It provides the following modules:Home - See general information about the systemOS Data - See general information about OS, such as CPU, Memory and Disk usageMetrics - See how your application performs under different conditions by visualizing :telemetry events with real-time chartsRequest logging - See everything that was logged for certain requestsApplications - See, filter, and search applications in the current nodeProcesses - See, filter, and search processes in the current nodePorts - See, filter, and search ports (responsible for I/O) in the current nodeSockets - See, filter, and search sockets (responsible for tcp/udp) in the current nodeETS - See, filter, and search ETS tables (in-memory storage) in the current nodeEcto Stats - Shows index, table, and general usage about the underlying Ecto Repo storageThe dashboard also works across nodes. If your nodes are connected via Distributed Erlang, then you can access information from node B while accessing the dashboard on node A.InstallationTo start using LiveDashboard, you will need three steps:Add the phoenix_live_dashboard dependencyConfigure LiveViewAdd dashboard access1. Add the phoenix_live_dashboard dependencyAdd the following to your mix.exs and run mix deps.get:def deps do [ {:phoenix_live_dashboard, &quot;~&gt; 0.1&quot;} ] end2. Configure LiveViewThe LiveDashboard is built on top of LiveView. If LiveView is already installed in your app, feel free to skip this section.If you plan to use LiveView in your application in the future, we recommend you to follow the official installation instructions. This guide only covers the minimum steps necessary for the LiveDashboard itself to run.First, update your endpoint's configuration to include a signing salt. You can generate a signing salt by running mix phx.gen.secret 32 (note Phoenix v1.5+ apps already have this configuration):# config/config.exs config :my_app, MyAppWeb.Endpoint, live_view: [signing_salt: &quot;SECRET_SALT&quot;]Then add the Phoenix.LiveView.Socket declaration to your endpoint:socket &quot;/live&quot;, Phoenix.LiveView.SocketAnd you are good to go!3. Add dashboard access for development-only usageOnce installed, update your router's configuration to forward requests to a LiveDashboard with a unique name of your choosing:# lib/my_app_web/router.ex use MyAppWeb, :router import Phoenix.LiveDashboard.Router ... if Mix.env() == :dev do scope &quot;/&quot; do pipe_through :browser live_dashboard &quot;/dashboard&quot; end endThis is all. Run mix phx.server and access the &quot;/dashboard&quot; to configure the necessary modules.Extra: Add dashboard access on all environments (including production)If you want to use the LiveDashboard in production, you should put it behind some authentication and allow only admins to access it. If your application does not have an admins-only section yet, you can use Plug.BasicAuth to set up some basic authentication as long as you are also using SSL (which you should anyway):# lib/my_app_web/router.ex use MyAppWeb, :router import Plug.BasicAuth import Phoenix.LiveDashboard.Router ... pipeline :admins_only do plug :basic_auth, username: &quot;admin&quot;, password: &quot;a very special secret&quot; end scope &quot;/&quot; do pipe_through [:browser, :admins_only] live_dashboard &quot;/dashboard&quot; endIf you are running your application behind a proxy or a webserver, you also have to make sure they are configured for allowing WebSocket upgrades. For example, here is an article on how to configure Nginx with Phoenix and WebSockets.Finally, you will also want to configure your config/prod.exs and use your domain name under the check_origin configuration:check_origin: [&quot;//myapp.com&quot;]Then you should be good to go!","ref":"Phoenix.LiveDashboard.html","title":"Phoenix.LiveDashboard","type":"module"},{"doc":"Extracts a datapoint for the given metric.Receives a Telemetry.Metric as metric, alongside the measurements and metadata from the Telemetry event, and an optional time and returns an extracted datapoint or nil if the event is not part of the metric.Note that it is expected that the event name was already validated as part of the metric.","ref":"Phoenix.LiveDashboard.html#extract_datapoint_for_metric/4","title":"Phoenix.LiveDashboard.extract_datapoint_for_metric/4","type":"function"},{"doc":"Page builder is the default mechanism for building custom dashboard pages.Each dashboard page is a LiveView with additional callbacks for customizing the menu appearance. One notable difference, however, is that a page implements a render_page/1 callback, which must return one or more page builder components, instead of a render/1 callback that returns ~L.A simple and straight-forward example of a custom page is the Phoenix.LiveDashboard.ETSPage that ships with the dashboard:defmodule Phoenix.LiveDashboard.EtsPage do @moduledoc false use Phoenix.LiveDashboard.PageBuilder @impl true def menu_link(_, _) do {:ok, &quot;ETS&quot;} end @impl true def render_page(_assigns) do table( columns: columns(), id: :ets_table, row_attrs: &amp;row_attrs/1, row_fetcher: &amp;fetch_ets/2, rows_name: &quot;tables&quot;, title: &quot;ETS&quot; ) end defp fetch_ets(params, node) do %{search: search, sort_by: sort_by, sort_dir: sort_dir, limit: limit} = params # Here goes the code that goes through all ETS tables, searches # (if not nil), sorts, and limits them. # # It must return a tuple where the first element is list with # the current entries (up to limit) and an integer with the # total amount of entries. # ... end defp columns() do [ %{ field: :name, header: &quot;Name or module&quot;, }, %{ field: :protection }, %{ field: :type }, %{ field: :size, cell_attrs: [class: &quot;text-right&quot;], sortable: :desc }, %{ field: :memory, format: &amp;format_words/1, sortable: :desc }, %{ field: :owner, format: &amp;encode_pid/1 } ] end defp row_attrs(table) do [ {&quot;phx-click&quot;, &quot;show_info&quot;}, {&quot;phx-value-info&quot;, encode_ets(table[:id])}, {&quot;phx-page-loading&quot;, true} ] end endOnce a page is defined, it must be declared in your live_dashboard route as follows:live_dashboard &quot;/dashboard&quot;, additional_pages: [ route_name: MyAppWeb.MyCustomPage ]Or alternatively:live_dashboard &quot;/dashboard&quot;, additional_pages: [ route_name: {MyAppWeb.MyCustomPage, some_option: ...} ]The second argument of the tuple will be given to the init/1 callback. If not tuple is given, init/1 will receive an empty list.ComponentsA page can only have the components listed with this page. At the moment, only nav_bar/1 and table/1 are supported.","ref":"Phoenix.LiveDashboard.PageBuilder.html","title":"Phoenix.LiveDashboard.PageBuilder","type":"behaviour"},{"doc":"","ref":"Phoenix.LiveDashboard.PageBuilder.html#c:handle_event/3","title":"Phoenix.LiveDashboard.PageBuilder.handle_event/3","type":"callback"},{"doc":"","ref":"Phoenix.LiveDashboard.PageBuilder.html#c:handle_info/2","title":"Phoenix.LiveDashboard.PageBuilder.handle_info/2","type":"callback"},{"doc":"","ref":"Phoenix.LiveDashboard.PageBuilder.html#c:handle_params/3","title":"Phoenix.LiveDashboard.PageBuilder.handle_params/3","type":"callback"},{"doc":"","ref":"Phoenix.LiveDashboard.PageBuilder.html#c:handle_refresh/1","title":"Phoenix.LiveDashboard.PageBuilder.handle_refresh/1","type":"callback"},{"doc":"Callback invoked when a page is declared in the router.It receives the router options and it must return the tuple {:ok, session, requirements}.The page session will be serialized to the client and received on mount.The requirements is an optional keyword to detect the state of the node.The result of this detection will be passed as second argument in the menu_link/2 callback. The possible values are::applications list of applications that are running or not.:modules list of modules that are loaded or not.:pids list of processes that alive or not.","ref":"Phoenix.LiveDashboard.PageBuilder.html#c:init/1","title":"Phoenix.LiveDashboard.PageBuilder.init/1","type":"callback"},{"doc":"Callback invoked when a page is declared in the router.It receives the session returned by the init/1 callback and the capabilities of the current node.The possible return values are:{:ok, text} when the link should be enable and text to be shown.{:disabled, text} when the link should be disable and text to be shown.{:disabled, text, more_info_url} similar to the previous one but it also includes a link to provide more information to the user.:skip when the link should not be shown at all.","ref":"Phoenix.LiveDashboard.PageBuilder.html#c:menu_link/2","title":"Phoenix.LiveDashboard.PageBuilder.menu_link/2","type":"callback"},{"doc":"","ref":"Phoenix.LiveDashboard.PageBuilder.html#c:mount/3","title":"Phoenix.LiveDashboard.PageBuilder.mount/3","type":"callback"},{"doc":"Renders a nav bar.It can be rendered in any dashboard page via the render_page/1 function:def render_page(assigns) do nav_bar( items: [ phoenix_metrics: [ name: &quot;Phoenix Metrics&quot;, render: table(...) ], vm_metrics: [ name: &quot;VM Metrics&quot;, render: fn -&gt; table(...expensive_parameters) end ] ] ) endYou can see it in use the Metrics and Ecto info pages.","ref":"Phoenix.LiveDashboard.PageBuilder.html#nav_bar/1","title":"Phoenix.LiveDashboard.PageBuilder.nav_bar/1","type":"function"},{"doc":"","ref":"Phoenix.LiveDashboard.PageBuilder.html#c:render_page/1","title":"Phoenix.LiveDashboard.PageBuilder.render_page/1","type":"callback"},{"doc":"Renders a table component.It can be rendered in any dashboard page via the render_page/1 function:def render_page(assigns) do table( columns: columns(), id: @table_id, row_attrs: &amp;row_attrs/1, row_fetcher: &amp;fetch_applications/2, title: &quot;Applications&quot; ) endYou can see it in use the applications, processes, sockets pages and many others.OptionsThese are the options supported by the component::id - Required. Because is a stateful Phoenix.LiveComponent an unique id is needed.:columns - Required. A Keyword list with the following keys::field - Required. An identifier for the column.:header - Label to show in the current column. Default value is calculated from :field.:header_attrs - A list with HTML attributes for the column header. Default: [].:format - Function which receives the value and returns the cell information. Default is the field value itself.:cell_attrs - A list with HTML attributes for the table cell. Default: [].:sortable - Either :asc or :desc with the default sorting. When set, the column header is clickable and it fetches again rows with the new order. At least one column should be sortable. Default: nil:row_fetcher - Required. A function which receives the params and the node and returns a tuple with the rows and the total number: (params(), node()) -&gt; {list(), integer() | binary()}:rows_name - A string to name the representation of the rows. Default is calculated from the current page.:default_sort_by - The default columnt to sort by to. Defaults to the first sortable column.:title - The title of the table. Default is calculated with the current page.:limit - A list of integers to limit the number of rows to show. Default: [50, 100, 500, 1000, 5000]. May be set to false to disable the limit.:search - A boolean indicating if the search functionality is enabled. Default: true.:hint - A textual hint to show close to the title. Default: nil.","ref":"Phoenix.LiveDashboard.PageBuilder.html#table/1","title":"Phoenix.LiveDashboard.PageBuilder.table/1","type":"function"},{"doc":"","ref":"Phoenix.LiveDashboard.PageBuilder.html#t:capabilities/0","title":"Phoenix.LiveDashboard.PageBuilder.capabilities/0","type":"type"},{"doc":"","ref":"Phoenix.LiveDashboard.PageBuilder.html#t:component/0","title":"Phoenix.LiveDashboard.PageBuilder.component/0","type":"opaque"},{"doc":"","ref":"Phoenix.LiveDashboard.PageBuilder.html#t:requirements/0","title":"Phoenix.LiveDashboard.PageBuilder.requirements/0","type":"type"},{"doc":"","ref":"Phoenix.LiveDashboard.PageBuilder.html#t:session/0","title":"Phoenix.LiveDashboard.PageBuilder.session/0","type":"type"},{"doc":"","ref":"Phoenix.LiveDashboard.PageBuilder.html#t:unsigned_params/0","title":"Phoenix.LiveDashboard.PageBuilder.unsigned_params/0","type":"type"},{"doc":"A plug that enables request logging.See our Request Logger guides for more information.","ref":"Phoenix.LiveDashboard.RequestLogger.html","title":"Phoenix.LiveDashboard.RequestLogger","type":"module"},{"doc":"Provides LiveView routing for LiveDashboard.","ref":"Phoenix.LiveDashboard.Router.html","title":"Phoenix.LiveDashboard.Router","type":"module"},{"doc":"Defines a LiveDashboard route.It expects the path the dashboard will be mounted at and a set of options.Options:live_socket_path - Configures the socket path. it must match the socket &quot;/live&quot;, Phoenix.LiveView.Socket in your endpoint.:csp_nonce_assign_key - an assign key to find the CSP nonce value used for assets:ecto_repos - the repositories to show database information. Currently only PSQL databases are supported:env_keys - Configures environment variables to display. It is defined as a list of string keys. If not set, the environment information will not be displayed.:metrics - Configures the module to retrieve metrics from. It can be a module or a {module, function}. If nothing is given, the metrics functionality will be disabled.:metrics_history - Configures a callback for retreiving metric history. It must be an &quot;MFA&quot; tuple of {Module, :function, arguments} such as metrics_history: {MyStorage, :metrics_history, []} If not set, metrics will start out empty/blank and only display data that occurs while the browser page is open.:request_logger_cookie_domain - Configures the domain the request_logger cookie will be written to. It can be a string or :parent atom. When a string is given, it will directly set cookie domain to the given value. When :parent is given, it will take the parent domain from current endpoint host (if host is &quot;www.acme.com&quot; the cookie will be scoped on &quot;acme.com&quot;). When not set, the cookie will be scoped to current domain.:allow_destructive_actions - When true, allow destructive actions directly from the UI. Defaults to false. The following destructive actions are available in the dashboard:&quot;Kill process&quot; - a &quot;Kill process&quot; button on the process modal Note that custom pages given to &quot;Additional pages&quot; may support their own destructive actions.:additional_pages - A keyword list of addictional pagesExamplesdefmodule MyAppWeb.Router do use Phoenix.Router import Phoenix.LiveDashboard.Router scope &quot;/&quot;, MyAppWeb do pipe_through [:browser] live_dashboard &quot;/dashboard&quot;, metrics: {MyAppWeb.Telemetry, :metrics}, env_keys: [&quot;APP_USER&quot;, &quot;VERSION&quot;], metrics_history: {MyStorage, :metrics_history, []}, request_logger_cookie_domain: &quot;.acme.com&quot; end end","ref":"Phoenix.LiveDashboard.Router.html#live_dashboard/2","title":"Phoenix.LiveDashboard.Router.live_dashboard/2","type":"macro"},{"doc":"Configuring Ecto repository statsThis guide covers how to configure the LiveDashboard to stats from your underlying database. At the moment, these stats can only be show for Ecto repositories running on Ecto.Adapters.Postgres.","ref":"ecto_stats.html","title":"Configuring Ecto repository stats","type":"extras"},{"doc":"To enable the &quot;Ecto Stats&quot; functionality in your dashboard, you will need to do the three steps below:Add the ecto_psql_extras dependencyConfigure the dashboard(optional) Install custom extensionsAdd the ecto_psql_extras dependencyIn your mix.exs, add the following to your deps: {:ecto_psql_extras, &quot;~&gt; 0.2&quot;},Configure the dashboardThe next step is to configure the dashboard. Go to the live_dashboard call in your router and list all of your repositories:live_dashboard &quot;/dashboard&quot;, ecto_repos: [MyApp.Repo]You want to list all repositories that connect to distinct databases. For example, if you have both MyApp.Repo and MyApp.RepoAnother but they connect to the same database, there is no benefit in listing both. Remember only Ecto repositories running on Ecto.Adapters.Postgres are currently supported.If you want to disable the &quot;Ecto Stats&quot; option altogether, set ecto_repos: [].Install custom extensionsOnce the repository page is enabled, some of the queries (Calls and Outliers) require the pg_stat_statements extension installed. If you wish to access said functionality, you must install the extension first, otherwise an error will be shown.","ref":"ecto_stats.html#installing-ecto-stats","title":"Configuring Ecto repository stats - Installing Ecto Stats","type":"extras"},{"doc":"Configuring metricsThis guide covers how to install and configure your LiveDashboard Metrics.","ref":"metrics.html","title":"Configuring metrics","type":"extras"},{"doc":"To enable the &quot;Metrics&quot; functionality in your dashboard, you will need to do the three steps below:Add the telemetry dependenciesDefine your telemetry moduleConfigure the dashboardAdd the telemetry dependenciesIn your mix.exs, add the following to your deps: {:telemetry_poller, &quot;~&gt; 0.4&quot;}, {:telemetry_metrics, &quot;~&gt; 0.4&quot;},If you generated your Phoenix app in version v1.5+, these dependencies will already be installed. You can also skip the next section.Define your telemetry moduleIn your Phoenix application, we recommend that you create a module to act as your telemetry supervision tree. Within this supervisor you can define your application's metrics and start your reporters.The example below contains the child spec for a LiveDashboard reporter, as well as some metrics definitions for telemetry events emitted by Phoenix, Ecto, and the VM (via the :telemetry_poller package).Create your Telemetry module in lib/my_app_web/telemetry.ex:defmodule MyAppWeb.Telemetry do use Supervisor import Telemetry.Metrics def start_link(arg) do Supervisor.start_link(__MODULE__, arg, name: __MODULE__) end @impl true def init(_arg) do children = [ # Telemetry poller will execute the given period measurements # every 10_000ms. Learn more here: https://hexdocs.pm/telemetry_metrics {:telemetry_poller, measurements: periodic_measurements(), period: 10_000} # Add reporters as children of your supervision tree. # {Telemetry.Metrics.ConsoleReporter, metrics: metrics()} ] Supervisor.init(children, strategy: :one_for_one) end def metrics do [ # Phoenix Metrics summary(&quot;phoenix.endpoint.stop.duration&quot;, unit: {:native, :millisecond} ), summary(&quot;phoenix.router_dispatch.stop.duration&quot;, tags: [:route], unit: {:native, :millisecond} ), # Database Time Metrics summary(&quot;my_app.repo.query.total_time&quot;, unit: {:native, :millisecond}), summary(&quot;my_app.repo.query.decode_time&quot;, unit: {:native, :millisecond}), summary(&quot;my_app.repo.query.query_time&quot;, unit: {:native, :millisecond}), summary(&quot;my_app.repo.query.queue_time&quot;, unit: {:native, :millisecond}), summary(&quot;my_app.repo.query.idle_time&quot;, unit: {:native, :millisecond}), # VM Metrics summary(&quot;vm.memory.total&quot;, unit: {:byte, :kilobyte}), summary(&quot;vm.total_run_queue_lengths.total&quot;), summary(&quot;vm.total_run_queue_lengths.cpu&quot;), summary(&quot;vm.total_run_queue_lengths.io&quot;) ] end defp periodic_measurements do [] end endMake sure to replace MyApp and my_app by your actual application name.Then add to your main application's supervision tree (usually in lib/my_app/application.ex):children = [ MyApp.Repo, MyAppWeb.Telemetry, MyAppWeb.Endpoint, ... ]Configure the dashboardThe last step now is to configure the dashboard. Go to the live_dashboard call in your router and add the following option:live_dashboard &quot;/dashboard&quot;, metrics: MyAppWeb.TelemetryNow refresh the &quot;/dashboard&quot; page and the metrics functionality should be enabled. Each metric goes to a distinct group based on the metric name itself.","ref":"metrics.html#installing-metrics","title":"Configuring metrics - Installing metrics","type":"extras"},{"doc":"Now that you have metrics up and running, you can begin exploring the rest of the telemetry ecosystem! Here are a few links to get you started:The Telemetry.Metrics module documentation contains more information on:Metric typesBreaking down metrics by tagsVM MetricsCustom periodic pollingFor a deeper dive into Phoenix and Ecto metrics, see our Telemetry Walkthrough.For more Elixir libraries using :telemetry, see Libraries using Telemetry.","ref":"metrics.html#more-about-telemetry","title":"Configuring metrics - More about telemetry","type":"extras"},{"doc":"The LiveDashboard integrates with :telemetry converting each Telemetry.Metrics to a beautiful, real-time chart.The following table shows how Telemetry.Metrics metrics map to LiveDashboard charts:Telemetry.MetricsY-Axis Value(s)last_valueAlways set to an absolute valuecounterAlways increased by 1sumAlways increased/decreased by an absolute valuesummaryValue/Min/Max/Avgdistribution(Coming Soon) recording measurements in individual bucketsReporter optionsReporter options can be given to each metric as an option. For example:counter(&quot;my_app.counter&quot;, reporter_options: [...])The following reporter options are available to the dashboard::group - configures the group the metric belongs to. By default the group is the first part of the name. For example, counter(&quot;my_app.counter&quot;) defaults to group &quot;my_app&quot;:prune_threshold - the maximum number of data points. When the threshold is reached, the chart data will be pruned by half. Default is 1_000.Metrics historyMetrics history can also be enabled via a custom configuration.","ref":"metrics.html#configure-metrics","title":"Configuring metrics - Configure Metrics","type":"extras"},{"doc":"Configuring metrics historyIf you wish to populate metrics with history saved from telemetry or another data source, modify the dashboard config to include a metrics_history key like so:live_dashboard &quot;/dashboard&quot;, metrics: MyAppWeb.Telemetry, metrics_history: {MyApp.MyStorage, :metrics_history, []}where MyStorage is a module and :metrics_history is a function taking a single argument in this example, which will always be a metric. The function must return a list, empty if there is no data, or a list of maps with :label, :measurement and :time keys in every map. The function Phoenix.LiveDashboard.extract_datapoint_for_metric/4 will return a map in exactly this format (with optional time argument if you want to override the default of System.system_time(:microsecond)), or it may return nil in which case the data point should not be saved.As an example, if you want history for all metrics, you can store history for those metrics in a circular buffer and emit recent telemetry when each client connects. LiveDashboard calls into your module for history for the metrics on that tab. You would also need to add the module to your Application children, and initialize it with some or all of your metrics, such as from MyAppWeb.Telemetry.metrics/0. You could store the data in an ETS table or in Redis or the database, or anywhere else, but for this example we'll show using a GenServer and the circular_buffer library: defmodule MyApp.MyStorage do use GenServer @history_buffer_size 50 def metrics_history(metric) do GenServer.call(__MODULE__, {:data, metric}) end def start_link(args) do GenServer.start_link(__MODULE__, args, name: __MODULE__) end @impl true def init(metrics) do Process.flag(:trap_exit, true) metric_histories_map = metrics |&gt; Enum.map(fn metric -&gt; attach_handler(metric) {metric, CircularBuffer.new(@history_buffer_size)} end) |&gt; Map.new() {:ok, metric_histories_map} end @impl true def terminate(_, metrics) do for metric &lt;- metrics do :telemetry.detach({__MODULE__, metric, self()}) end :ok end defp attach_handler(%{event_name: name_list} = metric) do :telemetry.attach( {__MODULE__, metric, self()}, name_list, &amp;__MODULE__.handle_event/4, metric ) end def handle_event(_event_name, data, metadata, metric) do if data = Phoenix.LiveDashboard.extract_datapoint_for_metric(metric, data, metadata) do GenServer.cast(__MODULE__, {:telemetry_metric, data, metric}) end end @impl true def handle_cast({:telemetry_metric, data, metric}, state) do {:noreply, update_in(state[metric], &amp;CircularBuffer.insert(&amp;1, data))} end @impl true def handle_call({:data, metric}, _from, state) do if history = state[metric] do {:reply, CircularBuffer.to_list(history), state} else {:reply, [], state} end end end","ref":"metrics_history.html","title":"Configuring metrics history","type":"extras"},{"doc":"Configuring OS DataThis guide covers how to install and configure your LiveDashboard OS Data.","ref":"os_mon.html","title":"Configuring OS Data","type":"extras"},{"doc":"The OS Data comes from the os_mon application, which ships as part of your Erlang distribution. You can start it by adding it to the extra applications section in your mix.exs: def application do [ ..., extra_applications: [:logger, :runtime_tools, :os_mon] ] end","ref":"os_mon.html#enabling-os_mon","title":"Configuring OS Data - Enabling os_mon","type":"extras"},{"doc":"See the Erlang docs for more information and os_mon configuration.","ref":"os_mon.html#configuring-os_mon","title":"Configuring OS Data - Configuring os_mon","type":"extras"},{"doc":"Configuring request loggerThis guide covers how to install and configure your LiveDashboard request logger.","ref":"request_logger.html","title":"Configuring request logger","type":"extras"},{"doc":"Installing the request logger is straight-forward. Just add the following plug to your &quot;lib/my_app_web/endpoint.ex&quot;, right before Plug.RequestId:plug Phoenix.LiveDashboard.RequestLogger, param_key: &quot;request_logger&quot;, cookie_key: &quot;request_logger&quot;If your application is an API only, then you most likely don't use cookies, which means you can remove the &quot;cookie_key&quot; option.Now go to your dashboard and the Request Logger will be enabled. Once you click it, you will have the option to either pass a parameter to stream requests logs or to enable/disable a cookie that streams requests logs.","ref":"request_logger.html#installing-request-logger","title":"Configuring request logger - Installing request logger","type":"extras"},{"doc":"There is no configuration for the request logger at the moment.","ref":"request_logger.html#configuring-request-logger","title":"Configuring request logger - Configuring request logger","type":"extras"}]